SIZE(1)

NAME
size - display object file segment sizes (text, data and bss)

SYNOPSIS
size [-tw] [file ...]

DESCRIPTION
size displays the text, data and bss segment sizes of the specified file(s) in bytes (in decimal), and the sum of the three segments (in decimal and hexadecimal). If a library (archive) is given, size displays the segment sizes for each object archive member. If no file is specified size attempts to report on the file a.out.

The options are as follows:

-t  At the end of the output print a total of the sizes of all the object files processed.

-w  Warn about non-object archive members. Normally, size will silently ignore all archive members which are not object files.

SEE ALSO
nm(1), a.out(5), elf(5)

HISTORY
A size command appeared in AT&T UNIX.